//#import Util.js
//#import pigeon.js
//#import session.js

var CartService = (function (pigeon) {
    var prefix = "owl_mall_cart";

    var f = {
        getCartByUserId: function (userId) {
            var id = prefix + "_" + userId;
            return pigeon.getObject(id);
        },
        getCartId: function (cartKey,cartType) {
            return prefix + "_" + cartKey +"_" + cartType;
        },

        getCartIdWithoutPrefix:function(cartKey, cartType){
            return cartKey + "_" + cartType;
        },
        getDeliveryFreeAmountId: function (shopId) {
            return "owl_mall_setting_" + shopId + "_deliveryFreeAmount";
        }
    };
    return f;
})($S);